Package org.kapott.hbci.GV_Result

## Class GVRInstUebSEPA

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRInstUebSEPA

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public class GVRInstUebSEPA
    extends HBCIJobResultImpl

Rückgabedaten für das Einreichen einer SEPA-Instant Überweisung.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRInstUebSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCancellationCode()`
`java.lang.String` `getOrderId()`
`java.lang.String` `getOrderStatus()`
`void` `setCancellationCode​(java.lang.String cancellationCode)`
`void` `setOrderId​(java.lang.String orderId)`
`void` `setOrderStatus​(java.lang.String orderStatus)`
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GVRInstUebSEPA

    public GVRInstUebSEPA()

### Method Detail

#### getOrderId

    public java.lang.String getOrderId()

#### setOrderId

    public void setOrderId​(java.lang.String orderId)

#### getOrderStatus

    public java.lang.String getOrderStatus()

#### setOrderStatus

    public void setOrderStatus​(java.lang.String orderStatus)

#### getCancellationCode

    public java.lang.String getCancellationCode()

#### setCancellationCode

    public void setCancellationCode​(java.lang.String cancellationCode)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`